Commit 9f8edb23 authored by Christophe Sourisse's avatar Christophe Sourisse Committed by Tim Smith
Browse files

Add of a new attribute toggling EPEL repo installation.


This way, it is now possible to install Erlang in offline mode, by
retrieving RPMs from some internal yum repository for example.
Signed-off-by: default avatarChristophe Sourisse <christophe.sourisse@gmail.com>
parent 7dcf2d75
......@@ -29,6 +29,7 @@ Manages installation of Erlang via packages or source.
- `node['erlang']['gui_tools']` - whether to install the GUI tools for Erlang.
- `node['erlang']['install_method']` - Erlang installation method ("package", "source", or "esl" (for Erlang Solutions packages)).
- `node['erlang']['package']['version']` - OS specific version of Erlang package to install
- `node['erlang']['package']['install_epel_repository']` - Boolean flag indicating whether EPEL yum repository should be installed (in which case Erlang packages may be retrieved from there).
- `node['erlang']['source']['version']` - Version of Erlang/OTP to install from source.
- `node['erlang']['source']['url']` - URL of Erlang/OTP source tarball.
- `node['erlang']['source']['checksum']` - Checksum of the Erlang/OTP source tarball.
......
......@@ -30,3 +30,4 @@ default['erlang']['esl']['version'] = nil
default['erlang']['esl']['lsb_codename'] = node['lsb'] ? node['lsb']['codename'] : 'no_lsb'
default['erlang']['package']['version'] = nil
default['erlang']['package']['install_epel_repository'] = true
......@@ -30,7 +30,7 @@ when 'debian'
package 'erlang-dev'
when 'rhel', 'suse', 'fedora'
if node['platform_version'].to_i == 5
if node['platform_version'].to_i == 5 && node['erlang']['package']['install_epel_repository']
Chef::Log.warn('Adding EPEL Erlang Repo. This will have SSL verification disabled, as')
Chef::Log.warn('RHEL/CentOS 5.x will not be able to verify the SSL certificate of this')
Chef::Log.warn('repository despite it being valid because yum on does not correctly')
......@@ -45,7 +45,7 @@ when 'rhel', 'suse', 'fedora'
end
end
include_recipe 'yum-epel' if node['platform_family'] == 'rhel'
include_recipe 'yum-epel' if node['platform_family'] == 'rhel' && node['erlang']['package']['install_epel_repository']
package 'erlang' do
version node['erlang']['package']['version'] if node['erlang']['package']['version']
end
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment